Bug 1017720 - [deploy] Failed to migrate python 2.7 app
[deploy] Failed to migrate python 2.7 app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 07:38 EDT by Meng Bo
Modified: 2015-05-14 19:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:34:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-10-10 07:38:11 EDT
Description of problem:
Create apps on devenv-stage_491, upgrade the server and run datastore migration. Try to upgrade the gears via oo-admin-upgrade, python 2.7 app will fail and found following error in the upgrade_error log:

"message": "Errors encountered executing step upgrade_script_python"

            "upgrade_script_python": {
                "context": {
                    "cartridge": "python", 
                    "rc": 1, 
                    "stderr": "/var/lib/openshift/52566db35534c5a5db0001ce/python//usr/versions/2.7/bin/upgrade: line 63: OPENSHIFT_DEPENDENCIES_DIR: unbound variable\n", 
                    "stdout": ""
                }, 
                "errors": [
                    "Upgrade script for python returned a non-zero exit code (1)"
                ], 
                "status": "incomplete"
            }



Version-Release number of selected component (if applicable):
devenv-stage_491 to devenv_3881

How reproducible:
always

Steps to Reproduce:
1.Create test data on devenv-stage_491
2.Upgrade the server and run compatible migration for datastore
3.Upgrade the gears via oo-admin-upgrade
# oo-admin-upgrade upgrade-node --version 3.0.35 --ignore-cartridge-version

Actual results:
Python 2.7 app will fail during the gear upgrade.

Expected results:
App should be upgraded successfully.

Additional info:
Comment 1 Meng Bo 2013-10-16 05:55:36 EDT
Issue fixed on devenv_3901, move bug to verified.

"upgrade_script_python":{"status":"complete","errors":[],"context":{"cartridge":"python","rc":0,"stdout":"","stderr":""}}

Note You need to log in before you can comment on or make changes to this bug.